{
  "name": "eve",
  "description": "Closed Community Networks",
  "version": "0.0.1",
  "type": "module",
  "license": "AGPL-3.0-only",
  "browserslist": [
    "electron >= 22.0.0"
  ],
  "main": "./out/main/main.js",
  "homepage": "https://arx-ccn.com/eve",
  "author": {
    "name": "arx-ccn",
    "email": "developers@arx-ccn.com"
  },
  "scripts": {
    "build": "electron-vite build",
    "build:mac": "npm run build && ./node_modules/.bin/electron-rebuild -p darwin -a x64 && electron-builder --mac",
    "build:linux": "bun run build && electron-builder --linux",
    "start": "electron-vite preview",
    "dev": "electron-vite dev",
    "prebuild": "electron-vite build",
    "lint": "biome check",
    "lint:fix": "biome check --write --unsafe",
    "postinstall": "bun setup-hooks.js"
  },
  "devDependencies": {
    "@biomejs/biome": "^1.9.4",
    "@electron-toolkit/preload": "^3.0.1",
    "@electron-toolkit/utils": "^4.0.0",
    "@tsconfig/node22": "^22.0.0",
    "@types/markdown-it": "^14.1.2",
    "@types/node": "^22.13.11",
    "electron": "^34.3.4",
    "electron-builder": "^25.1.8",
    "electron-vite": "^3.0.0",
    "lightningcss": "^1.29.3",
    "sass-embedded": "^1.86.0",
    "typescript": "~5.6.3",
    "vite": "^6.2.2"
  },
  "dependencies": {
    "@cashu/cashu-ts": "^2.4.1",
    "@lit-app/state": "^1.0.0",
    "@lit-labs/motion": "^1.0.8",
    "@noble/ciphers": "^1.2.1",
    "@noble/curves": "^1.8.1",
    "@noble/hashes": "^1.3.3",
    "@nostr-dev-kit/ndk": "^2.12.2",
    "@nostr/tools": "npm:@jsr/nostr__tools",
    "@open-wc/lit-helpers": "^0.7.0",
    "@scure/base": "^1.2.4",
    "@std/encoding": "npm:@jsr/std__encoding",
    "iconify-icon": "^2.3.0",
    "lit": "^3.2.1",
    "markdown-it": "^14.1.0"
  }
}
